Page MenuHomeFreeBSD

Fix return errors in tcp_usrreq.c
ClosedPublic

Authored by harrison-astrodog.net on Feb 27 2015, 6:33 PM.

Details

Summary

tcp_usrreq.c returns incorrect error codes in some cases.

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

harrison-astrodog.net retitled this revision from to Fix return errors in tcp_usrreq.c.
harrison-astrodog.net updated this object.
harrison-astrodog.net edited the test plan for this revision. (Show Details)
harrison-astrodog.net added reviewers: gnn, adrian.
gnn edited edge metadata.
This revision is now accepted and ready to land.Feb 27 2015, 9:23 PM
adrian edited edge metadata.
harrison-astrodog.net edited edge metadata.

Revert overenthusiastic error changes.

This revision now requires review to proceed.Mar 1 2015, 3:17 PM

I agree with this patch

sys/netinet/tcp_usrreq.c
463

Minor comment: You can remove the parenthesises:

if (inp->inp_flags & INP_TIMEWAIT) {
harrison-astrodog.net added a subscriber: Unknown Object (MLST).
jch edited edge metadata.
This revision is now accepted and ready to land.Mar 1 2015, 9:04 PM
glebius added a reviewer: glebius.
glebius added a subscriber: glebius.

And I second on jch@ comment.

This revision now requires review to proceed.Mar 3 2015, 4:41 PM
jch edited edge metadata.
This revision is now accepted and ready to land.Mar 3 2015, 4:52 PM
jmg removed a subscriber: Unknown Object (MLST).

Change MFC-ed in stable/10 here rS282968: MFC r279821:. Closing this revision.